%define ver_major 0.7

Name: panflute
Version: %ver_major.0
Release: alt1

Summary: Common interface for controlling music player software
Group: Sound
License: GPLv2+
Url: http://launchpad.net/%name
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: http://launchpad.net/%name/%ver_major/%version/+download/%name-%version.tar.gz

## The build script will give warnings about missing python modules, such as
## gnomeapplet, mpd, xmms etc.; but these are entirely false positives.
## These modules are only needed at runtime, hence are not included as
## build-time dependencies.
# BuildRequires: python-module-python-mpd  python-module-xmms  python-module-pygnome-applet python-module-numpy python-module-pyinotify

BuildRequires: rpm-build-gnome intltool libGConf-devel
BuildRequires: python-module-pygtk-devel python-module-pygnome-devel python-module-pygnome-desktop-devel python-module-dbus-devel
BuildRequires: python-module-notify python-module-pygnome-gconf

# %%add_findreq_skiplist %python_sitelibdir_noarch/%name/daemon/amarok/*
# %%add_findreq_skiplist %python_sitelibdir_noarch/%name/daemon/amarok/xmms2.*
%add_python_req_skip xmmsclient dcopext kdecore



%description
Panflute provides a common programmatic interface (MPRIS + extensions)
to a variety of music player software, hiding the details of each
player's particular IPC mechanism. It also provides a GNOME panel applet
that uses the Panflute backend to control whichever music player is
currently running.

Panflute is the successor to Music Applet, redesigned from the ground up
to allow other programs to use its music player abstraction layer.

See README file for more information.

%package daemon
Summary: Panflute backend
Group: Sound
BuildArch: noarch
Requires(post,preun): GConf
Requires: python-module-%name

%description daemon
Panflute provides a common programmatic interface (MPRIS + extensions)
to a variety of music player software, hiding the details of each
player's particular IPC mechanism.


%package -n python-module-%name
Group: Development/Python
Summary: Python module of Panflute
BuildArch: noarch

%description -n python-module-%name
Panflute provides a common programmatic interface (MPRIS + extensions)
to a variety of music player software, hiding the details of each
player's particular IPC mechanism.

This package provides python module of Panflute

%package -n gnome-applets-extra-%name
Summary: A GNOME panel applet to control various music players
Group: Graphical desktop/GNOME
Requires: %name-daemon = %version-%release
Requires: python-module-%name
Obsoletes: gnome-applets-extra-music
Provides: gnome-applets-extra-music = %version-%release

%description -n gnome-applets-extra-%name
Panflute provides a common programmatic interface (MPRIS + extensions)
to a variety of music player software, hiding the details of each
player's particular IPC mechanism.

This package provides a GNOME panel applet that uses the Panflute
backend to control whichever music player is currently running.

%prep
%setup -q
echo -e "ACLOCAL_AMFLAGS = -I m4" >> Makefile.am
# subst 's/\$(pythondir)/\$(pyexecdir)/g' src/%name/applet/Makefile.am

%build
%autoreconf
%configure --disable-schemas-install
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%post daemon
%gconf2_install %name

%preun daemon
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi

%files daemon -f %name.lang
%_bindir/%name-daemon
%_bindir/%name-launch-player
%_datadir/dbus-1/services/*
%config %gconf_schemasdir/%name.schemas
%doc AUTHORS README NEWS THANKS

%exclude %_bindir/%name-debugger
%exclude %_bindir/%name-tests

# %exclude %python_sitelibdir_noarch/%name/daemon/amarok
# %exclude %python_sitelibdir_noarch/%name/daemon/xmms2.*

%files -n python-module-%name
%python_sitelibdir_noarch/%name

%files -n gnome-applets-extra-%name
%_libexecdir/%name-applet
%bonobo_serversdir/*
%_datadir/%name
%_datadir/gnome-2.0/ui/GNOME_Panflute_Applet.xml

%changelog
* Fri Nov 12 2010 Alexey Shabalin <shaba@altlinux.ru> 0.7.0-alt1
- 0.7.0

* Tue Jul 13 2010 Alexey Shabalin <shaba@altlinux.ru> 0.6.2-alt2
- update buildreq
- add subpackage python-module-panflute
- package all python module files (for xmms2 and amarok too)
- add %%add_python_req_skip xmmsclient dcopext kdecore
- don't change path for applet python module

* Fri Jul 09 2010 Yuri N. Sedunov <aris@altlinux.org> 0.6.2-alt1
- first build for Sisyphus
